<?php 
global $mainframe;

jimport('joomla.application.component.model');
jimport('joomla.installer.installer' );
jimport('joomla.installer.helper');

$files = JFolder::files(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_liknowebaccordion'.DS.'files', '.', false, true);

$msg = ""; 
if ($files) 
{
  foreach ($files as $file){

    $dest = dirname($file).DS.JFile::stripExt(basename($file));
    JArchive::extract($file, $dest);
    $package = liknowebaccordionbuilder_getPackageFromFolder($dest);
	if ($package!=null){
    // Get an installer instance
    $installer = new JInstaller();

    // Install the package
    if (!$installer->install($package['dir'])) {
      // There was an error installing the package
      $msg .= '<span style="color:#EC5B0E">'.basename($file).': '.JText::sprintf('INSTALLEXT', JText::_($package['type']), ' - '.JText::_('ALREADY EXISTS!')).'</span>';
      $result = false;
    } else {
      // Package installed sucessfully
      
      $result = true;
    }
  }
  else {
  echo 'Error';
}
  }
  
} else {
  echo 'Error';
}


/**
* Function to get Package informations for Joomla! installer
**/
function liknowebaccordionbuilder_getPackageFromFolder($p_dir)
{
  // Did you give us a valid directory?
  if (!is_dir($p_dir)) {
    JError::raiseWarning('SOME_ERROR_CODE', JText::_('Please enter a package directory' ));
    return false;
  }

  // Detect the package type
  $type = JInstallerHelper::detectType($p_dir);

  // Did you give us a valid package?
  if (!$type) {
    JError::raiseWarning('SOME_ERROR_CODE', JText::_('Path does not have a valid package'));
    return false;
  }

  $package['packagefile'] = null;
  $package['extractdir'] = null;
  $package['dir'] = $p_dir;
  $package['type'] = $type;

  return $package;
}
?>