<?php
/*
     Copyright (C) 2011  Likno Software

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.model');
jimport('joomla.filesystem.folder');
jimport('joomla.filesystem.file');


class liknowebaccordionbuilderModelList extends JModel
{
	function getAccordions()
	{
		$list = $this->getList();

		return $list['accordions'];
	}


	/**
	 * Build accordionlist
	 *
	 * @param string $listFolder The image directory to display
	 * @since 1.5
	 */
	function getList()
	{
		static $list;

		// Only process the list once per request
		if (is_array($list)) {
			return $list;
		}

	
		$accordions	= array ();
		
		$database = JFactory::getDBO();		
					
		$contents = '';
		$module = null;
			
		//get module as an object
		$query = "SELECT title, REPLACE(module, 'mod_lwac_', '') as module FROM jos_modules WHERE module LIKE 'mod_lwac_%';";
		$database->setQuery($query);
		$accordions = $database->loadObjectList();
		$list = array('accordions' => $accordions);

		return $list;
	}
}